## mingw-w64-inkscape-1.4.2-10.src.tar.zst

=== man/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

# Load AUTHORS file contents into $INKSCAPE_AUTHORS
file(READ ${CMAKE_SOURCE_DIR}/AUTHORS content)
string(REGEX REPLACE "^([^\n#]+)\n" "\\1;\n" content_list "${content}")
join(INKSCAPE_AUTHORS "," "${content_list}")


file(GLOB podfiles *.pod.in)
foreach(podfile ${podfiles})
    get_filename_component(basename ${podfile} NAME)
    string(REPLACE ".pod.in" "" basename ${basename})

    set(POD_IN ${CMAKE_CURRENT_SOURCE_DIR}/${basename}.pod.in)
    set(POD_OUT ${CMAKE_CURRENT_BINARY_DIR}/${basename}.pod)

    configure_file(${POD_IN} ${POD_OUT})

    if(basename MATCHES "^inkscape")
        pod2man(${POD_OUT} ${INKSCAPE_VERSION} 1 "Inkscape Commands Manual")
    elseif(basename MATCHES "^inkview")
        pod2man(${POD_OUT} ${INKSCAPE_VERSION} 1 "Inkview Commands Manual")
    else()
        message(WARNING "unexpected podfile: ${podfile}")
    endif()
endforeach()

=== po/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

# process and install .po files
file(GLOB LANGUAGES *.po)
foreach(language ${LANGUAGES})
    string(REGEX REPLACE "(.+(\\\\|/))+" "" language ${language})
    string(REGEX REPLACE "\\.po$" "" language ${language})
    string(MAKE_C_IDENTIFIER "${language}" language_code_escaped)
    set(pofile ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po)
    set(gmofile ${CMAKE_CURRENT_BINARY_DIR}/${language}.gmo)
    GETTEXT_PROCESS_PO_FILES(${language} ALL PO_FILES ${pofile})
    if(WIN32)
        set(COMP translations.${language_code_escaped})
    else()
        set(COMP translations)
    endif()
    install(FILES ${gmofile}
        DESTINATION "${PACKAGE_LOCALE_DIR}/${language}/LC_MESSAGES/"
        RENAME ${CMAKE_PROJECT_NAME}.mo
        COMPONENT ${COMP})
endforeach(language)


# update inkscape.pot
set(_potFile ${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot)
set(_potFiles_src ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.src)
set(xgettext_options -cTRANSLATORS -j --keyword=_ --keyword=N_ --keyword=Q_:1g --keyword=C_:1c,2 --keyword=NC_:1c,2 --msgid-bugs-address=inkscape-translator@lists.inkscape.org --from-code=UTF-8 -ktranslatable -o ${_potFile})

# configure the POTFILES.src file from POTFILES.src.in
# (prepare relative path for generated files to use; they reside in a "build" folder)
file(RELATIVE_PATH _build_dir ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})
configure_file(POTFILES.src.in ${_potFiles_src})

# Due to a bug in old xgettext versions, we cannot use '--its='.
# Instead, we use GETTEXTDATADIR=. to refer to the po/its/*.its files.
# This requires a .loc file for each .its file. See po/its/units.loc for an example.
# See https://gitlab.com/inkscape/inkscape/-/issues/271 for details.
# This workaround is necessary for Debian 9, so roughly until ca 2021.
set(its_workaround ${CMAKE_COMMAND} -E env GETTEXTDATADIR=.)

add_custom_target(inkscape_pot BYPRODUCTS ${_potFile}
    # make sure inkscape.pot is re-created from scratch
    COMMAND rm -f ${_potFile} && touch ${_potFile}

    # extract strings from source files into inkscape.pot
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} -C -f ${_potFiles_src}
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} -L Glade -f POTFILES.ui.in
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} -L Python -f POTFILES.py.in
    # the following uses po/its/inx.{loc, its}
    COMMAND ${its_workaround} ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} -f POTFILES.inx.in --from-code=UTF-8
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} -L AppData ../org.inkscape.Inkscape.appdata.xml.in
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} -L Desktop ../org.inkscape.Inkscape.desktop.template
    # the following uses po/its/menus.{loc, its}
    COMMAND ${its_workaround} ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} ../share/ui/menus.ui
    # the following uses po/its/units.{loc, its}
    COMMAND ${its_workaround} ${GETTEXT_XGETTEXT_EXECUTABLE} ${xgettext_options} ../share/ui/units.xml

    COMMENT "Extract translatable messages to ${_potFile}"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

add_dependencies(inkscape_pot filters_svg_h)
add_dependencies(inkscape_pot markers_svg_h)
add_dependencies(inkscape_pot palettes_h)
add_dependencies(inkscape_pot patterns_svg_h)
add_dependencies(inkscape_pot symbols_h)
add_dependencies(inkscape_pot templates_h)

=== src/object/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later


set(object_SRC
  box3d-side.cpp
  box3d.cpp
  color-profile.cpp
  object-set.cpp
  persp3d-reference.cpp
  persp3d.cpp
  sp-anchor.cpp
  sp-clippath.cpp
  sp-conn-end-pair.cpp
  sp-conn-end.cpp
  sp-defs.cpp
  sp-desc.cpp
  sp-dimensions.cpp
  sp-ellipse.cpp
  sp-factory.cpp
  sp-filter-reference.cpp
  sp-filter.cpp
  sp-flowdiv.cpp
  sp-flowregion.cpp
  sp-flowtext.cpp
  sp-font-face.cpp
  sp-font.cpp
  sp-glyph-kerning.cpp
  sp-glyph.cpp
  sp-gradient-reference.cpp
  sp-gradient.cpp
  sp-grid.cpp
  sp-guide.cpp
  sp-hatch-path.cpp
  sp-hatch.cpp
  sp-image.cpp
  sp-item-group.cpp
  sp-item-transform.cpp
  sp-item.cpp
  sp-line.cpp
  sp-linear-gradient.cpp
  sp-lpe-item.cpp
  sp-marker.cpp
  sp-mask.cpp
  sp-mesh-array.cpp
  sp-mesh-gradient.cpp
  sp-mesh-patch.cpp
  sp-mesh-row.cpp
  sp-metadata.cpp
  sp-missing-glyph.cpp
  sp-namedview.cpp
  sp-object-group.cpp
  sp-object.cpp
  sp-offset.cpp
  sp-paint-server.cpp
  sp-page.cpp
  sp-path.cpp
  sp-pattern.cpp
  sp-polygon.cpp
  sp-polyline.cpp
  sp-radial-gradient.cpp
  sp-rect.cpp
  sp-root.cpp
  sp-script.cpp
  sp-shape.cpp
  sp-shape-reference.cpp
  sp-solid-color.cpp
  sp-spiral.cpp
  sp-star.cpp
  sp-stop.cpp
  sp-string.cpp
  sp-style-elem.cpp
  sp-switch.cpp
  sp-symbol.cpp
  sp-tag-use-reference.cpp
  sp-tag-use.cpp
  sp-tag.cpp
  sp-text.cpp
  sp-title.cpp
  sp-tref-reference.cpp
  sp-tref.cpp
  sp-tspan.cpp
  sp-use-reference.cpp
  sp-use.cpp
  uri-references.cpp
  uri.cpp
  viewbox.cpp

  # -------
  # Headers
  box3d-side.h
  box3d.h
  color-profile.h
  object-set.h
  object-view.h
  persp3d-reference.h
  persp3d.h
  sp-anchor.h
  sp-clippath.h
  sp-conn-end-pair.h
  sp-conn-end.h
  sp-defs.h
  sp-desc.h
  sp-dimensions.h
  sp-ellipse.h
  sp-factory.h
  sp-filter-reference.h
  sp-filter-units.h
  sp-filter.h
  sp-flowdiv.h
  sp-flowregion.h
  sp-flowtext.h
  sp-font-face.h
  sp-font.h
  sp-glyph-kerning.h
  sp-glyph.h
  sp-gradient-reference.h
  sp-gradient-spread.h
  sp-gradient-units.h
  sp-gradient-vector.h
  sp-gradient.h
  sp-grid.h
  sp-guide.h
  sp-hatch-path.h
  sp-hatch.h
  sp-image.h
  sp-item-group.h
  sp-item-transform.h
  sp-item.h
  sp-line.h
  sp-linear-gradient.h
  sp-lpe-item.h
  sp-marker-loc.h
  sp-marker.h
  sp-mask.h
  sp-mesh-array.h
  sp-mesh-gradient.h
  sp-mesh-patch.h
  sp-mesh-row.h
  sp-metadata.h
  sp-missing-glyph.h
  sp-namedview.h
  sp-object-group.h
  sp-object.h
  sp-offset.h
  sp-paint-server-reference.h
  sp-paint-server.h
  sp-page.h
  sp-path.h
  sp-pattern.h
  sp-polygon.h
  sp-polyline.h
  sp-radial-gradient.h
  sp-rect.h
  sp-root.h
  sp-script.h
  sp-shape.h
  sp-shape-reference.h
  sp-solid-color.h
  sp-spiral.h
  sp-star.h
  sp-stop.h
  sp-string.h
  sp-style-elem.h
  sp-switch.h
  sp-symbol.h
  sp-tag.h
  sp-tag-use.h
  sp-tag-use-reference.h
  sp-text.h
  sp-textpath.h
  sp-title.h
  sp-tref-reference.h
  sp-tref.h
  sp-tspan.h
  sp-use-reference.h
  sp-use.h
  uri-references.h
  uri.h
  viewbox.h
  weakptr.h
  tags.h
)

add_inkscape_source("${object_SRC}")

add_subdirectory(filters)
add_subdirectory(algorithms)

=== src/trace/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
set(trace_SRC
	cielab.cpp
	filterset.cpp
	imagemap.cpp
	imagemap-gdk.cpp
	quantize.cpp
	siox.cpp
	trace.cpp

	potrace/inkscape-potrace.cpp
	autotrace/inkscape-autotrace.cpp
	depixelize/inkscape-depixelize.cpp

	# -------
	# Headers
	cielab.h
	filterset.h
	imagemap-gdk.h
	imagemap.h
	pool.h
	quantize.h
	siox.h
	trace.h

	potrace/bitmap.h
	potrace/inkscape-potrace.h
	autotrace/inkscape-autotrace.h
	depixelize/inkscape-depixelize.h
)

add_inkscape_source("${trace_SRC}")

=== testfiles/rendering_tests/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

function(add_rendering_test rendering_test)
    cmake_parse_arguments(ARG "" "FUZZ;DISABLE" "" ${ARGN})
    set(testname "render_${rendering_test}")
    add_test(NAME ${testname}
             COMMAND bash ${CMAKE_CURRENT_SOURCE_DIR}/test.sh ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/inkscape ${CMAKE_CURRENT_SOURCE_DIR}/${rendering_test} ${ARG_FUZZ}
             WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/testfiles/rendering_tests)
    set_tests_properties(${testname} PROPERTIES ENVIRONMENT "${INKSCAPE_TEST_PROFILE_DIR_ENV}/${testname};${CMAKE_CTEST_ENV}")
    if(${ARG_DISABLE})
        set_tests_properties(${testname} PROPERTIES DISABLED "True")
    endif()
endfunction()

find_package(PkgConfig REQUIRED)
pkg_search_module(HARFBUZZ REQUIRED harfbuzz)

# Add your test here (do not put the .svg extension)

# -- Generic tests --
add_rendering_test(test-empty)
add_rendering_test(test-dont-crash)
add_rendering_test(test-use FUZZ 0.03)
add_rendering_test(solid-color-test)

# -- Selector tests --
add_rendering_test(selector-important-002)
add_rendering_test(selector-important-003)

add_rendering_test(multi-style)
add_rendering_test(style-parsing)

# -- Text tests --
## Many (if not all) of these tests are sensitive to the text rendering stack: FreeType, HarfBuzz, Pango.
add_rendering_test(text-flow FUZZ 0.5)

# add_rendering_test(test-baseline-shift)
## Small differences with code adapted for Pango 1.44.

# broken by a harfbuzz update. To be decided if a harfbuzz bug, a pango bug, or an Inkscape bug
add_rendering_test(test-glyph-y-pos FUZZ 0.1 DISABLE TRUE)

## to be fixed since an update happened between harfbuzz 1.5.1(OK) and 1.6.0(FAIL).
## If you re-enable the test, you may have to *slightly* fix the expected rendering (hoping the fix happens upstream).
## Please also check that the rendering with harfbuzz <=1.5.1 is not *too* wrong (for older systems)
## cf Tav's post : https://www.patreon.com/posts/into-sinkhole-19021727
## and bug https://bugzilla.gnome.org/show_bug.cgi?id=787526

# add_rendering_test(text-shaping)
## Expected rendering generated with Pango 1.44. Currently fails with
## CI as CI uses Pango 1.40. Enable after updating CI to Ubuntu 20.04.

# broken by a harfbuzz update. To be decided if a harfbuzz bug, a pango bug, or an Inkscape bug
add_rendering_test(text-glyphs-combining FUZZ 0.1 DISABLE TRUE)
## Expected rendering generated with Pango 1.44.

# broken by a harfbuzz update. To be decided if a harfbuzz bug, a pango bug, or an Inkscape bug
add_rendering_test(text-glyphs-vertical FUZZ 0.1 DISABLE TRUE)
## Expected rendering generated with Pango 1.44.

# -- LPE tests --
add_rendering_test(test-powerstroke-join)

# <symbol> geometric properties (SVG 2.0 feature)
add_rendering_test(symbol-svg2-geometry-properties)
add_rendering_test(symbol-svg2-ref)

# Tests to run for 64-bit builds only. These fail in 32-bit builds (possibly due to rounding issues)
# TODO: Figure out actual cause and see if we can fix it
if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
    # broken by a harfbuzz update. To be decided if a harfbuzz bug, a pango bug, or an Inkscape bug
    add_rendering_test(test-rtl-vertical FUZZ 0.1 DISABLE TRUE)

    # .otf font with compressed SVG glyphs
    add_rendering_test(text-gzipped-svg-glyph FUZZ 0.03)
endif()

=== src/3rdparty/2geom/tests/dependent-project/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(test_dep_2geom CXX C)
set(CMAKE_CXX_STANDARD 17)

option(2GEOM_AS_SUBPROJECT "include 2geom as subproject" OFF)

if (2GEOM_AS_SUBPROJECT)
    message("Using 2geom as subdirectory")
    set(2GEOM_BUILD_SHARED ON CACHE BOOL "Build 2geom shared version")
    add_subdirectory("../../" 2geom)
else()
    message("Using installed 2geom")
    find_package(2Geom REQUIRED)
endif()

add_library(my_lib SHARED my_lib.cpp)
add_executable(main main.cpp)
target_link_libraries(main my_lib)
target_link_libraries(my_lib PUBLIC 2Geom::2geom)

install(TARGETS
        main
        my_lib
    RUNTIME DESTINATION bin
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    )

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>
# Contributor: Ray Donnelly <mingw.android@gmail.com>
# Contributor: Naveen M K <naveen521kk@gmail.com>

_realname=inkscape
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=1.4.2
pkgrel=10
pkgdesc="Vector graphics editor using the SVG file format (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://inkscape.org/"
msys2_repository_url="https://gitlab.com/inkscape/inkscape"
msys2_references=(
  "cpe: cpe:/a:inkscape:inkscape"
)
license=("spdx:GPL-2.0-or-later")
depends=("${MINGW_PACKAGE_PREFIX}-aspell"
         "${MINGW_PACKAGE_PREFIX}-atkmm"
         "${MINGW_PACKAGE_PREFIX}-boost-libs"
         "${MINGW_PACKAGE_PREFIX}-cairo"
         "${MINGW_PACKAGE_PREFIX}-cairomm"
         "${MINGW_PACKAGE_PREFIX}-fontconfig"
         "${MINGW_PACKAGE_PREFIX}-freetype"
         "${MINGW_PACKAGE_PREFIX}-gc"
         "${MINGW_PACKAGE_PREFIX}-cc-libs"
         "${MINGW_PACKAGE_PREFIX}-gdk-pixbuf2"
         "${MINGW_PACKAGE_PREFIX}-gettext-runtime"
         "${MINGW_PACKAGE_PREFIX}-ghostscript"
         "${MINGW_PACKAGE_PREFIX}-glib2"
         "${MINGW_PACKAGE_PREFIX}-graphicsmagick"
         "${MINGW_PACKAGE_PREFIX}-gsl"
         "${MINGW_PACKAGE_PREFIX}-gspell"
         "${MINGW_PACKAGE_PREFIX}-gtk-update-icon-cache"
         "${MINGW_PACKAGE_PREFIX}-gtkmm3"
         "${MINGW_PACKAGE_PREFIX}-gtksourceview4"
         "${MINGW_PACKAGE_PREFIX}-harfbuzz"
         "${MINGW_PACKAGE_PREFIX}-hicolor-icon-theme"
         "${MINGW_PACKAGE_PREFIX}-lcms2"
         "${MINGW_PACKAGE_PREFIX}-lib2geom"
         "${MINGW_PACKAGE_PREFIX}-libcdr"
         "${MINGW_PACKAGE_PREFIX}-libepoxy"
         "${MINGW_PACKAGE_PREFIX}-libiconv"
         "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
         "${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-librevenge"
         "${MINGW_PACKAGE_PREFIX}-libsigc++"
         "${MINGW_PACKAGE_PREFIX}-libvisio"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-libxslt"
         "${MINGW_PACKAGE_PREFIX}-libwpg"
         "${MINGW_PACKAGE_PREFIX}-omp"
         "${MINGW_PACKAGE_PREFIX}-pango"
         "${MINGW_PACKAGE_PREFIX}-pangomm"
         "${MINGW_PACKAGE_PREFIX}-poppler"
         "${MINGW_PACKAGE_PREFIX}-potrace"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-readline"
         "${MINGW_PACKAGE_PREFIX}-scour"
         "${MINGW_PACKAGE_PREFIX}-zlib")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-boost"
             "${MINGW_PACKAGE_PREFIX}-gettext-tools")
optdepends=(#"${MINGW_PACKAGE_PREFIX}-pstoedit: latex formulas"
            "${MINGW_PACKAGE_PREFIX}-texlive-scheme-medium: latex formulas"
            "${MINGW_PACKAGE_PREFIX}-python-numpy: some extensions"
            "${MINGW_PACKAGE_PREFIX}-python-lxml: some extensions and filters"
            #"${MINGW_PACKAGE_PREFIX}-scour: optimized SVG output"
            #"${MINGW_PACKAGE_PREFIX}-uniconvertor: reading/writing to some proprietary formats"
            )
source=("https://media.inkscape.org/dl/resources/file/${_realname}-${pkgver}.tar.xz"
        inkscape-1.0.1-unbundle.patch
        inkscape-1.0.1-install-layout.patch
        007-no-console-clang.patch
        008-fix-glib-2-84-build.patch
        https://gitlab.com/inkscape/inkscape/-/commit/40f5b15b7e29908b79c54e81db6f340936102e08.patch
        https://gitlab.com/inkscape/inkscape/-/commit/ce52c5f96106ae5747171663a46831f21aa52d95.patch
        https://gitlab.com/inkscape/inkscape/-/commit/b60d81745016b5f20d4c6aec6d073b8a6f3e499c.patch)
sha256sums=('2000530c7917e5260c9e8575a7154ff6926643d2006487d714e304a963f0c782'
            '92387251c1740f1a57cde9e587cc673ef1600813617bd2c9db65598c324a24d4'
            '131b2e1190637df0554ef1ee8cf46440689584375c117d057ab47d5871c58128'
            'c49d38b7c1a66e4b40e1b75fb055b730eb863a67a74d899da6d4d6db6baedcec'
            '776c6bae0eb646313f30e1945438f678e19edc2ea5dcd1851ca89cd4d01d2fd9'
            'a789592ad19ee26c0085145095adf06a5e3243fc2ee3f3de4a3e0cb2e3933609'
            '949cf3a3d5dfb007101900902e07859e99e593be64027597a4d2f3b52b3b6c91'
            'cda1f99901c9bdaad736c6bbf171012f39d00f4134efd0b6c49b499f8fd6c102')
noextract=("${_realname}-${pkgver}.tar.xz")

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

prepare() {
  # Symlinks only in packaging/macos and src/3rdparty/cairo folders
  tar -xf ${_realname}-${pkgver}.tar.xz || true

  mv "${srcdir}"/${_realname}-${pkgver}_* "${srcdir}"/${_realname}-${pkgver}
  cd "${srcdir}"/${_realname}-${pkgver}

  apply_patch_with_msg \
    inkscape-1.0.1-unbundle.patch \
    inkscape-1.0.1-install-layout.patch \
    007-no-console-clang.patch \
  
  # https://gitlab.com/inkscape/inkscape/-/issues/5615
  apply_patch_with_msg \
    008-fix-glib-2-84-build.patch

  apply_patch_with_msg \
    40f5b15b7e29908b79c54e81db6f340936102e08.patch \
    ce52c5f96106ae5747171663a46831f21aa52d95.patch \
    b60d81745016b5f20d4c6aec6d073b8a6f3e499c.patch
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  local -a extra_config
  if check_option "debug" "y"; then
    extra_config+=(-DCMAKE_BUILD_TYPE=Debug)
  else
    extra_config+=(-DCMAKE_BUILD_TYPE=Release)
  fi

  CFLAGS+=" -Wno-implicit-function-declaration" \
  MSYS=winsymlinks:native \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake.exe -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    "${extra_config[@]}" \
    -DBUILD_TESTING=OFF \
    -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
    -DCMAKE_AR=${MINGW_PREFIX}/bin/ar \
    -DWITH_IMAGE_MAGICK=OFF \
    -DWITH_INTERNAL_2GEOM=OFF \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}"/build-${MSYSTEM}
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .

  install -Dm644 "${srcdir}"/${_realname}-${pkgver}/COPYING "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
